Debian Bug report logs - #345743
RM: figfonts -- included fonts are undistributable due to lack of license information

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Peter Samuelson <peter@p12n.org>

Date: Tue, 25 Oct 2005 19:03:45 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Francesco Tapparo <cesco@debian.org>:
Bug#335778; Package figfonts. Full text and rfc822 format available.

Acknowledgement sent to Peter Samuelson <peter@p12n.org>:
New Bug report received and forwarded. Copy sent to Francesco Tapparo <cesco@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Samuelson <peter@p12n.org>
To: submit@bugs.debian.org
Subject: figfonts: buggy copyright file
Date: Tue, 25 Oct 2005 13:59:42 -0500
[Message part 1 (text/plain, inline)]
Package: figfonts
Version: 2.2.1-1.1
Severity: serious

/usr/share/doc/figfonts/copyright does not tell us anything about the
license terms by which Debian distributes the package.  Even though
it's in non-free, we still need some assurance that Debian has the
right to distribute these fonts at all.  (No, this is _not_ implied by
the fact that they're freely downloadable from somewhere else.)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Francesco Tapparo <cesco@debian.org>:
Bug#335778; Package figfonts. Full text and rfc822 format available.

Acknowledgement sent to Don Armstrong <don@debian.org>:
Extra info received and forwarded to list. Copy sent to Francesco Tapparo <cesco@debian.org>. Full text and rfc822 format available.

Message #10 received at 335778@bugs.debian.org (full text, mbox):

From: Don Armstrong <don@debian.org>
To: control@bugs.debian.org
Cc: 335778@bugs.debian.org
Subject: RM figfonts -- included font files do not include licensing information, and therefore are not distributable even in non-free
Date: Tue, 3 Jan 2006 01:06:18 -0800
[Message part 1 (text/plain, inline)]
clone 335778 -1
reassign -1 ftp.debian.org
severity -1 normal
retitle -1 RM figfonts -- included font files do not include licensing information, and therefore are not distributable even in non-free
thanks

In short, as the new title says, the font files included in this
package do not include any licensing information, therefore we must
assume all rights are reserved, which precludes their distribution
even in non-free. [Such information does not appear to even be
available upstream, so this problem is not trivially resolveable.
Furthermore, as the maintainer has not responded, I'm requesting
removal.]


Don Armstrong

-- 
Filing a bug is probably not going to get it fixed any faster.
 -- Anthony Towns

http://www.donarmstrong.com              http://rzlab.ucr.edu
[signature.asc (application/pgp-signature, inline)]

Bug 335778 cloned as bug 345743. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `figfonts' to `ftp.debian.org'. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Don Armstrong <don@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Peter Samuelson <peter@p12n.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #25 received at 345743-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 345743-close@bugs.debian.org
Cc: figfonts@packages.debian.org, figfonts@packages.qa.debian.org
Subject: Bug#345743: fixed
Date: Thu, 12 Jan 2006 06:39:37 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

  figfonts |  2.2.1-1.1 | source, all
figfonts-cjk |  2.2.1-1.1 | all

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 345743@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 04:29:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 08:00:22 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.